
Zéphir - Tâche #21352

Scénario # 21277 (Terminé (Sprint)): Epic1: Coder la partie "salt-minion" pour les versions EOLE 2.5 et 2.6

Étudier les procédures d'enregistrement Salt

09/13/2017 11:47 AM - Joël Cuissinat

Status: Fermé Start date: 09/12/2017

Priority: Normal Due date:  

Assigned To: Joël Cuissinat % Done: 100%

Target version: sprint 2017 37-39 Equipe MENSR Estimated time: 4.00 hours

  Spent time: 6.50 hours

Description

Doc internes :

https://dev-eole.ac-dijon.fr/projects/ewt/wiki/Saltstack

https://dev-eole.ac-dijon.fr/doc/cheatsheets/saltstack.html

Associated revisions

Revision 1f96e15c - 09/19/2017 04:01 PM - Joël Cuissinat

Temporary script for salt-minion implementation

Ref #21352

Revision 1d10640a - 09/19/2017 04:35 PM - Joël Cuissinat

add zephir-connect script

Ref #21352

Revision 7c13c64a - 09/20/2017 10:33 AM - Joël Cuissinat

Finalize zephir-connect script

Ref: #21352

Revision 1c13eb09 - 09/21/2017 10:38 AM - Fabrice Barconnière

apt : --force-yes option is deprecated. Use --allow instead

ref #21352

Revision 438556cc - 09/22/2017 04:32 PM - Joël Cuissinat

Add salt and salt-key wrappers for Zéphir

Ref #21352

Revision edfd0498 - 09/25/2017 10:50 AM - Fabrice Barconnière

Set salt master execution port in minion configuration

ref #21352
Revision c33ff312 - 09/25/2017 01:30 PM - Fabrice Barconnière

Set salt master publish port in minion configuration

ref #21352

Revision 272c0e10 - 09/26/2017 04:36 PM - Joël Cuissinat

install_zephir_minion : update apt options

Ref: #21352

History

#1 - 09/13/2017 11:48 AM - Joël Cuissinat

- Status changed from Nouveau to En cours

#2 - 09/13/2017 11:51 AM - Joël Cuissinat

- Description updated

#3 - 09/13/2017 05:05 PM - Joël Cuissinat

- Remaining (hours) changed from 4.0 to 3.0

#4 - 09/13/2017 05:07 PM - Joël Cuissinat

Au niveau du master, on est tous d'accord que pour des raisons de sécurité, il est impératif de mettre :

open_mode: False

auto_accept: False

#5 - 09/18/2017 04:56 PM - Joël Cuissinat

- % Done changed from 0 to 50

- Remaining (hours) changed from 3.0 to 1.0

Remontage du POC salt-master

#6 - 09/20/2017 10:35 AM - Joël Cuissinat

- % Done changed from 50 to 100

- Remaining (hours) changed from 1.0 to 0.0

#7 - 09/20/2017 04:05 PM - Fabrice Barconnière

OK avec EOLE 2.5.2 après installation du paquet salt-minion issu du dépôt proposé par Saltstack

#8 - 09/21/2017 09:50 AM - Scrum Master

- Status changed from En cours to Résolu

#9 - 09/22/2017 04:07 PM - Gérald Schwartzmann

- Status changed from Résolu to Fermé
